<template name="courseDetailsPage">
  <div class="container">
    <div class="row course-page g-3">
      <div class="col-lg-8">
        <div class="page-component">
          {{#if course.archived}}
            <div class="alert alert-archived text-center" role="alert">
              <strong>{{i18n 'course.archive.alert' '{COURSE} is archived and not active anymore.' COURSE=course.name}}</strong>
            </div>
          {{/if}}
          {{#if edit}}
            {{> courseEdit course}}
          {{else}}
            <div class="course-details {{courseStateClasses course}}">
              <div class="details-header" {{detailsHeaderAttr course}}>
                {{#if course.internal}}
                  {{> internalIndicator}}
                {{/if}}
                <div class="details-header-tags">
                  {{#if (isProposal course)}}
                    <div class="proposal-tag">
                      <span class="fa-regular fa-lightbulb fa-fw" aria-hidden="true"></span>
                      {{i18n 'course.details.is-proposalTag' 'Proposal'}}
                    </div>
                  {{/if}}
                  {{> regionTag course}}
                </div>
                <div class="course-details-title">
                  {{#if (mayEdit course)}}
                    {{> editable instance.editableName}}
                  {{else}}
                    <h2>{{course.name}}</h2>
                  {{/if}}
                </div>
                {{#if course.categories}}
                  <div class="course-details-categories">
                    {{> courseCategories categories=course.categories}}
                  </div>
                {{/if}}
                {{> courseGroupList course=course}}
              </div>
              {{> courseDetailsSubmenu editableDescription=instance.editableDescription course=course}}
            </div>
            {{#unless course.isPrivate}}
              {{> sharing}}
            {{/unless}}
            {{#if (mayEdit course)}}
              <div class="actions">
                {{> buttonEdit event="js-course-edit"}}
                {{#if course.archived}}
                  {{> buttonCourseUnarchive}}
                {{/if}}
                {{#unless expanded}}
                  {{#unless course.archived}}
                    {{> buttonCourseArchive 
										buttonClass="btn-archive"
										textIdle=(i18n 'course.archive.archiveButton.archive' 'Archive')
									}}
                  {{/unless}}
                  {{> buttonDelete event="js-expand"}}
                {{/unless}}
              </div>
              {{#if expanded}}
                {{> confirmDialog hasArchiveButton=course.archived course=course}}
              {{/if}}
            {{/if}}
            {{> courseRoles roles=rolesDetails}}
          {{/if}}
        </div>
        {{#if mobileViewport}}
          {{> courseEvents}}
        {{else}}
          {{> discussion courseId=course._id select=select}}
        {{/if}}
      </div>
      <div class="col-lg-4">
        {{#unless mobileViewport}}
          {{> courseEvents}}
        {{/unless}}
        <div class="page-component">
          {{> courseMembers course}}
        </div>
        {{#if mobileViewport}}
          {{> discussion courseId=course._id select=select}}
        {{/if}}
        <div class="page-component">
          {{> report}}
        </div>
      </div>
    </div>
  </div>
</template>

<template name="confirmDialog">
  <div class="course-delete-confirm">
    <p>{{i18n 'course.reallydelete' 'Please confirm that you would like to delete {COURSE}. This cannot be undone.' COURSE=course.name}}
    </p>
    <div class="form-actions">
      {{#unless hasArchiveButton}}
        {{> buttonCourseArchive 
					buttonClass="btn-warning"
					textIdle=(i18n 'course.delete.confirm.archiveButton' 'Rather archive')
				}}
      {{/unless}}
      {{> buttonDeleteConfirm
				event="js-delete-course-confirm"
				textIdle=(i18n 'course.delete.confirm.button' 'Delete {COURSE} and its events' COURSE=course.name)
				textBusy=(i18n '_button.deleting')
			}}
      {{> buttonCancel event="js-collapse"}}
    </div>
  </div>
</template>

<template name="courseDetailsSubmenu">
  <nav class="course-details-nav">
    <ul class="nav nav-tabs" role="tablist">
      <li class="nav-item" role="presentation">
        <button class="nav-link active" id="description-tab" data-bs-toggle="tab"
                data-bs-target="#description" type="button" role="tab" aria-controls="description"
                aria-selected="true">
          <span class="fa-solid fa-file-lines fa-fw" aria-hidden="true"></span>
          <span class="tab-label">{{i18n 'course.subnav.descr' 'Description'}}</span>
        </button>
      </li>
      {{#if mayEdit}}
        <li class="nav-item" role="presentation">
          <button class="nav-link" id="files-tab" data-bs-toggle="tab" data-bs-target="#files"
                  type="button" role="tab" aria-controls="files" aria-selected="false">
            <span class="fa-solid fa-file fa-fw" aria-hidden="true"></span>
            <span class="tab-label">{{i18n 'course.subnav.files' 'Files'}}</span>
          </button>
        </li>
      {{/if}}
      <li class="nav-item" role="presentation">
        <button class="nav-link" id="history-tab" data-bs-toggle="tab" data-bs-target="#history"
                type="button" role="tab" aria-controls="history" aria-selected="false">
          <span class="fa-solid fa-clock-rotate-left fa-fw" aria-hidden="true"></span>
          <span class="tab-label">{{i18n 'course.subnav.history' 'History'}}</span>
        </button>
      </li>
    </ul>
  </nav>
  <div class="tab-content course-details-content">
    <div class="tab-pane {{#unless state 'descriptionTruncated'}}mh-none overflow-visible{{else}}overflow-hidden{{/unless}} active"
         id="description" role="tabpanel" aria-labelledby="description-tab" tabindex="0">
      <div class="course-description-fade-wrap">
        <div
             class="course-description {{#unless state 'descriptionTruncated'}}mh-none overflow-visible{{else}}overflow-hidden{{/unless}}">
          {{> courseDetailsDescription editableDescription=editableDescription course=course}}
          {{#each info in customFields}}
            <p>
              <strong>{{info.displayText}}</strong>:
              {{#unless info.isboolean}}
                <span style="white-space: pre-line;">{{info.value}}</span>
              {{else}}
                {{#if info.value}}
                  <input type="checkbox" checked disabled />
                {{else}}
                  <input type="checkbox" disabled />
                {{/if}}
              {{/unless}}
            </p>
          {{/each}}
        </div>
        {{#if state 'descriptionTruncated'}}
          <div class="course-description-fade-bottom"></div>
        {{/if}}
      </div>
      {{#if state 'descriptionTruncated'}}
        <div role="button" class="js-course-desciption-show-more link-primary text-center">
          — {{i18n 'courseDetails.showMore' 'show more'}} —
        </div>
      {{/if}}
    </div>
    <div class="tab-pane course-history" id="history" role="tabpanel" aria-labelledby="history-tab"
         tabindex="0">
      {{> coursehistory}}
    </div>
    {{#if mayEdit}}
      <div class="tab-pane" id="files" role="tabpanel" aria-labelledby="files-tab" tabindex="0">
        {{> courseFiles}}
      </div>
    {{/if}}
    {{#unless course.isPrivate}}
      {{> pricePolicy dismissable=true wrap='course-details-price-policy'}}
    {{/unless}}
  </div>
</template>

<template name="courseDetailsDescription">
  <div class="course-details-description">
    {{#if mayEdit}}
      {{> editable editableDescription}}
    {{else}}
      {{{course.description}}}
    {{/if}}
  </div>
</template>

<template name="buttonCourseArchive">
  <button type="submit" class="btn {{buttonClass}} js-course-archive" {{disabledIfBusy}}>
    {{#if busy 'archive'}}
      <span class="fa-solid fa-circle-notch fa-spin fa-fw" aria-hidden="true"></span>
      {{i18n 'course.archive.archiveButton.archiving' 'Archiving…'}}
    {{else}}
      {{textIdle}}
    {{/if}}
  </button>
</template>

<template name="buttonCourseUnarchive">
  <button type="submit" class="btn btn-go js-course-unarchive" {{disabledIfBusy}}>
    {{#if busy 'unarchive'}}
      <span class="fa-solid fa-circle-notch fa-spin fa-fw" aria-hidden="true"></span>
      {{i18n 'course.archive.unarchiveButton.unarchiving' 'Unarchiving…'}}
    {{else}}
      {{i18n 'course.archive.unarchiveButton' 'Unarchive'}}
    {{/if}}
  </button>
</template>
